Delete deploys by filter
curl --request DELETE \
--url https://api.getcortexapp.com/api/v1/catalog/deploys \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getcortexapp.com/api/v1/catalog/deploys"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getcortexapp.com/api/v1/catalog/deploys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deploys": [
{
"timestamp": "2023-11-07T05:31:56Z",
"title": "<string>",
"type": "DEPLOY",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customData": {},
"deployer": {
"email": "<string>",
"name": "<string>"
},
"deployerEmail": "<string>",
"deployerName": "<string>",
"environment": "<string>",
"sha": "<string>",
"url": "https://cortex.io"
}
]
}{
"message": "<string>",
"type": "INTEGRATION_MISSING",
"details": "<string>",
"errorCode": "<string>",
"gatewayHttpStatus": 123,
"httpStatus": 123,
"requestId": "<string>"
}{
"status": 429,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>",
"retryAfter": 1
}Delete deploys by filter
Filter and delete deploys by SHA hash, environment, or type. Note that at least one of the filters need to be set.
If looking to delete all deployments for an entity, use the Delete all deploys for entity endpoint instead.
DELETE
/
api
/
v1
/
catalog
/
deploys
Delete deploys by filter
Authorizations
All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.
Query Parameters
Available options:
DEPLOY, SCALE, ROLLBACK, RESTART Response
Successfully deleted deployment
Show child attributes
Show child attributes
Last modified on September 24, 2026